2021-03-03 02:57 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000237Frama-CGraphical User Interfacepublic2014-02-12 16:56
Reporterpherrmann 
Assigned Tocorrenson 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Beryllium-20090901 
Target VersionFrama-C Beryllium-20090902Fixed in VersionFrama-C Beryllium-20090902 
Summary0000237: Warning repetition in Messages window
DescriptionThe exact same warning is repeated a number of times (10+) in the "Messages" window of the GUI.
Additional InformationFor the file in attachment : I get several "out of bound read ..." at line 5 after value analysis.

TagsNo tags attached.
Attached Files
  • c file icon oob.c (132 bytes) 2009-09-10 16:49 -
    #include<stdio.h>
    
    int main(int argc, char** argv) {
      
      const char* exe_name = argv[0];
    
      printf("%s\n",exe_name);
      return 1;
    }
    
    c file icon oob.c (132 bytes) 2009-09-10 16:49 +

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-10 16:49 pherrmann New Issue
2009-09-10 16:49 pherrmann File Added: oob.c
2009-09-14 19:41 signoles Status new => assigned
2009-09-14 19:41 signoles Assigned To => correnson
2009-09-18 14:38 signoles Priority normal => urgent
2009-09-18 14:38 signoles Target Version => Frama-C Beryllium 2
2009-09-21 15:46 svn
2009-09-21 15:46 svn Status assigned => resolved
2009-09-21 15:46 svn Resolution open => fixed
2009-09-23 15:26 signoles Fixed in Version => Frama-C Beryllium 2
2009-09-23 20:22 signoles Status resolved => closed
2013-12-19 01:13 correnson Source_changeset_attached => framac master 2bb79e25
2014-02-12 16:56 correnson Source_changeset_attached => framac stable/neon 2bb79e25
+Issue History